package net.javajigi.user.service;

import java.util.List;

import net.javajigi.security.PermissionException;
import net.javajigi.user.ExceedAdminUserException;
import net.javajigi.user.ExistedUserException;
import net.javajigi.user.PasswordMismatchException;
import net.javajigi.user.UserNotFoundException;
import net.javajigi.user.model.User;

public interface UserService {
    public int addUser(User user) throws ExistedUserException, ExceedAdminUserException;

    public int updateUser(User user);

    public int removeUser(String userId) throws PermissionException ;

    public User findUser(String userId) throws UserNotFoundException;

    public List<User> findUserList();

    public boolean login(String userId, String password)
            throws PasswordMismatchException, UserNotFoundException;
}
