package net.javajigi.user.web.coc;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jxl.write.Label;
import jxl.write.WritableSheet;
import jxl.write.WritableWorkbook;
import net.javajigi.user.model.User;

import org.springframework.web.servlet.view.document.AbstractJExcelView;

public class ExcelUserView extends AbstractJExcelView {

	@SuppressWarnings("unchecked")
	@Override
	protected void buildExcelDocument(Map model, WritableWorkbook workbook,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		List<User> users = (List<User>)model.get("users");
		
		WritableSheet sheet = workbook.createSheet("User List", workbook.getNumberOfSheets());
		sheet.addCell(new Label(0, 0, "User ID"));
		sheet.addCell(new Label(1, 0, "Name"));
		sheet.addCell(new Label(2, 0, "Email"));
		
		for (int i=0; i < users.size(); i++) {
			User user = (User) users.get(i);
			
			sheet.addCell(new Label(0, i+1, user.getUserId()));
			sheet.addCell(new Label(1, i+1, user.getName()));
			sheet.addCell(new Label(2, i+1, user.getEmail()));
		}
	}
}
