package net.javajigi.audit;

import static org.junit.Assert.assertEquals;
import net.javajigi.AbstractTests;

import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;

@ContextConfiguration(locations={"/applicationContext.xml"})
public class AuditDaoTest extends AbstractTests {
	@Autowired
	private AuditDao auditDao;
	
	public void setAuditDao(AuditDao auditDao) {
		this.auditDao = auditDao;
	}
	
	@Before public void setup() {
		deleteFromTables("AUDIT");
	}

	@Test
	public void testLog() {
		final AuditObject audit = new AuditObject("관리자 : javajigi", "생성");
		auditDao.log(audit);

		String query ="select count(*) from audit";
		assertEquals(1, simpleJdbcTemplate.queryForInt(query));
		
		assertEquals(1, countRowsInTable("AUDIT"));
	}
}
