package net.javajigi.audit;


import org.jmock.Expectations;
import org.jmock.Mockery;
import org.junit.Before;
import org.junit.Test;

public class AuditTest {
	private Mockery context;
	private AuditDao auditDao;
	
	@Before public void setup() {
		context = new Mockery();
		auditDao = context.mock(AuditDao.class);
	}

	@Test public void addLog() {
		final AuditObject audit = new AuditObject("관리자 : javajigi", "생성");
		
		context.checking(new Expectations() {{
			one(auditDao).log(audit);
		}});
		
		audit.setAuditDao(auditDao);
		audit.create("관리자 : javajigi", "생성");
		
		context.assertIsSatisfied();
	}

}

