package net.javajigi.security;

import net.javajigi.user.model.AdminMockUser;
import net.javajigi.user.model.NormalMockUser;
import net.javajigi.user.model.User;
import net.javajigi.user.service.UserService;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = { "/test-applicationContext-aop.xml" })
public class PermissionAdviceTest {
	private UserService userService;

	@Autowired
	public void setUserService(UserService userService) {
		this.userService = userService;
	}

	@Test(expected = PermissionException.class)
	public void checkPermissionNormal() throws PermissionException {
		User normalUser = new NormalMockUser();
		UserContext.setUser(normalUser);

		userService.removeUser(normalUser.getUserId());
	}

	@Test
	public void checkPermissionAdmin() throws PermissionException {
		User adminUser = new AdminMockUser();
		UserContext.setUser(adminUser);

		userService.removeUser(adminUser.getUserId());
	}
}
